Share via


Load Balancer Probes - List

Gets all the load balancer probes.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/probes?api-version=2025-05-01

URI Parameters

Name In Required Type Description
loadBalancerName
path True

string

The name of the load balancer.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

LoadBalancerProbeListResult

The request has succeeded.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

LoadBalancerProbeList

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.Network/loadBalancers/lb/probes?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": "prlb",
      "type": "Microsoft.Network/loadBalancers/probes",
      "etag": "W/\"00000000-0000-0000-0000-000000000000\"",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.Network/loadBalancers/lb/probes/prlb",
      "properties": {
        "intervalInSeconds": 15,
        "loadBalancingRules": [
          {
            "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.Network/loadBalancers/lb/loadBalancingRules/rulelb"
          }
        ],
        "numberOfProbes": 2,
        "port": 80,
        "probeThreshold": 1,
        "provisioningState": "Succeeded",
        "requestPath": "healthcheck.aspx",
        "protocol": "Http"
      }
    }
  ]
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

LoadBalancerProbeListResult

Paged collection of Probe items

Probe

A load balancer probe.

ProbeNoHealthyBackendsBehavior

Determines how new connections are handled by the load balancer when all backend instances are probed down.

ProbeProtocol

The protocol of the end point. If 'Tcp' is specified, a received ACK is required for the probe to be successful. If 'Http' or 'Https' is specified, a 200 OK response from the specifies URI is required for the probe to be successful.

ProvisioningState

Provisioning states of a resource.

SubResource

Reference to another subresource.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

LoadBalancerProbeListResult

Paged collection of Probe items

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

Probe[]

The Probe items on this page

Probe

A load balancer probe.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the resource.

properties.intervalInSeconds

integer (int32)

The interval, in seconds, for how frequently to probe the endpoint for health status. Typically, the interval is slightly less than half the allocated timeout period (in seconds) which allows two full probes before taking the instance out of rotation. The default value is 15, the minimum value is 5.

properties.loadBalancingRules

SubResource[]

The load balancer rules that use this probe.

properties.noHealthyBackendsBehavior

ProbeNoHealthyBackendsBehavior

Determines how new connections are handled by the load balancer when all backend instances are probed down.

properties.numberOfProbes

integer (int32)

The number of probes where if no response, will result in stopping further traffic from being delivered to the endpoint. This values allows endpoints to be taken out of rotation faster or slower than the typical times used in Azure.

properties.port

integer (int32)

The port for communicating the probe. Possible values range from 1 to 65535, inclusive.

properties.probeThreshold

integer (int32)

The number of consecutive successful or failed probes in order to allow or deny traffic from being delivered to this endpoint. After failing the number of consecutive probes equal to this value, the endpoint will be taken out of rotation and require the same number of successful consecutive probes to be placed back in rotation.

properties.protocol

ProbeProtocol

The protocol of the end point. If 'Tcp' is specified, a received ACK is required for the probe to be successful. If 'Http' or 'Https' is specified, a 200 OK response from the specifies URI is required for the probe to be successful.

properties.provisioningState

ProvisioningState

The provisioning state of the probe resource.

properties.requestPath

string

The URI used for requesting health status from the VM. Path is required if a protocol is set to http. Otherwise, it is not allowed. There is no default value.

type

string

Resource type.

ProbeNoHealthyBackendsBehavior

Determines how new connections are handled by the load balancer when all backend instances are probed down.

Value Description
AllProbedDown

No new flows will be sent to the backend pool.

AllProbedUp

When all backend instances are probed down, incoming packets will be sent to all instances.

ProbeProtocol

The protocol of the end point. If 'Tcp' is specified, a received ACK is required for the probe to be successful. If 'Http' or 'Https' is specified, a 200 OK response from the specifies URI is required for the probe to be successful.

Value Description
Http

Http

Tcp

Tcp

Https

Https

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

SubResource

Reference to another subresource.

Name Type Description
id

string

Resource ID.